> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffBalance

> The `getTimeOffBalane` APi is used to retrieve time off balances for each timeOffPolicy an employee is active in

### Uses:
- When an employee wants to check their remaining time off for the year
- To view accrued time off balances



## OpenAPI

````yaml get /reports/getTimeOffBalance
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffBalance:
    get:
      tags: []
      summary: getTimeOffBalance
      description: >-
        The `getTimeOffBalane` APi is used to retrieve time off balances for
        each timeOffPolicy an employee is active in


        ### Uses:

        - When an employee wants to check their remaining time off for the year

        - To view accrued time off balances
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                employeeId:
                  type: string
              required:
                - method
                - companyId
                - employeeId
            example:
              method: getTimeOffBalance
              companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
              employeeId: 1755E872-9092-4ECE-8386-860531D492D3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffBalances:
                    type: array
                    items:
                      type: object
                      properties:
                        timeOffPolicyId:
                          type: string
                        timeOffPolicyName:
                          type: string
                        assignedHours:
                          type: integer
                        usedHours:
                          type: integer
                        remainingBalance:
                          type: integer
                      required:
                        - timeOffPolicyId
                        - timeOffPolicyName
                        - assignedHours
                        - usedHours
                        - remainingBalance
                required:
                  - timeOffBalances
              example:
                timeOffBalances:
                  - timeOffPolicyId: 1BD5AB2B-AEEC-46CD-A93B-D1A68FB90C3A
                    timeOffPolicyName: Standard Vacation
                    assignedHours: 80
                    usedHours: 46
                    remainingBalance: 34
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````